import java.io.*;
import java.lang.*;
import java.util.*;

public class garden_pkun_java implements Runnable
{


	void solve() throws IOException{
		int n = nextInt();
		long y = nextLong(), h = nextLong();
		--y;
		int ans = 0;
		for (int i = 0; i < n; i++){
			int a = nextInt(),b = nextInt();
			if (a + b*y < h){
				out.println("-1");
				return;
			}
			if (a + b*y > h){
				ans = 1;
			}				
		}
		out.println(ans);
		return;
	}     

	public static void main(String[] args) throws IOException{
		new garden_pkun_java().run();
	}

    BufferedReader in;
    StringTokenizer tokenizer;
    PrintWriter out;

	public void run()
	{
		try {                               
			Reader reader = new FileReader("garden.in");
			Writer writer = new FileWriter("garden.out");
            in = new BufferedReader(reader);
            tokenizer = null;
            out = new PrintWriter(writer);
            solve();
            in.close();
            out.close();
		} catch (Exception e) {
            e.printStackTrace();
            System.exit(1);
        } 		
	}

    int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    String nextToken() throws IOException {
        while (tokenizer == null || !tokenizer.hasMoreTokens()) {
            tokenizer = new StringTokenizer(in.readLine());
        }
        return tokenizer.nextToken();
    }

}                                    
